public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sys-devel/llvm: llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
@ 2013-07-30 14:04 Michal Gorny (mgorny)
  0 siblings, 0 replies; 3+ messages in thread
From: Michal Gorny (mgorny) @ 2013-07-30 14:04 UTC (permalink / raw
  To: gentoo-commits

mgorny      13/07/30 14:04:13

  Modified:             llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
  Log:
  Revert the RPATH changes and LD_LIBRARY_PATH hack as it resulted in system clang using build tree libraries, bug #478348. Instead, alter the RPATH after installing the libs. Fix installing libLTO and libprofile_rt.
  
  (Portage version: 2.2.0_alpha190/cvs/Linux x86_64, signed Manifest commit with key 9627F456F9DA7643!)

Revision  Changes    Path
1.3                  sys-devel/llvm/llvm-3.3-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?r1=1.2&r2=1.3

Index: llvm-3.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- llvm-3.3-r1.ebuild	28 Jul 2013 15:59:24 -0000	1.2
+++ llvm-3.3-r1.ebuild	30 Jul 2013 14:04:12 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.2 2013/07/28 15:59:24 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.3 2013/07/30 14:04:12 mgorny Exp $
 
 EAPI=5
 
@@ -22,7 +22,8 @@
 IUSE="clang debug doc gold kernel_FreeBSD +libffi multitarget ocaml python
 	+static-analyzer test udis86 video_cards_radeon"
 
-DEPEND="dev-lang/perl
+DEPEND="app-admin/chrpath
+	dev-lang/perl
 	>=sys-devel/make-3.79
 	>=sys-devel/flex-2.5.4
 	>=sys-devel/bison-1.875d
@@ -122,9 +123,6 @@
 	epatch "${FILESDIR}"/${PN}-3.3-gentoo-install.patch
 	use clang && epatch "${FILESDIR}"/clang-3.3-gentoo-install.patch
 
-	# Fix insecure RPATHs that were removed upstream already.
-	epatch "${FILESDIR}"/${P}-insecure-rpath.patch
-
 	local sub_files=(
 		Makefile.config.in
 		Makefile.rules
@@ -150,19 +148,6 @@
 	epatch_user
 }
 
-llvm_add_ldpath() {
-	# Add LLVM built libraries to LD_LIBRARY_PATH.
-	# This way we don't have to hack RPATHs of executables.
-	local libpath
-	if use debug; then
-		libpath=${BUILD_DIR}/Debug+Asserts+Checks/lib
-	else
-		libpath=${BUILD_DIR}/Release/lib
-	fi
-
-	export LD_LIBRARY_PATH=${libpath}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
-}
-
 multilib_src_configure() {
 	local CONF_FLAGS="--enable-keep-symbols
 		--enable-shared
@@ -226,9 +211,6 @@
 		GENTOO_LIBDIR="$(get_libdir)"
 	)
 
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
-
 	# Tests need all the LLVM built.
 	if multilib_is_native_abi || use test; then
 		emake "${mymakeopts[@]}"
@@ -259,9 +241,6 @@
 }
 
 multilib_src_test() {
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
-
 	default
 
 	use clang && emake -C tools/clang test
@@ -289,24 +268,18 @@
 		GENTOO_LIBDIR="$(get_libdir)"
 	)
 
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
+	emake "${mymakeopts[@]}" install
 
-	if multilib_is_native_abi; then
-		emake "${mymakeopts[@]}" install
+	# Fix rpaths.
+	chrpath -r "${EPREFIX}"/usr/$(get_libdir)/llvm \
+		"${ED}"/usr/bin/* || die
 
+	if multilib_is_native_abi; then
 		# Move files back.
 		if path_exists -o "${ED}"/tmp/llvm-config.*; then
 			mv "${ED}"/tmp/llvm-config.* "${ED}"/usr/bin || die
 		fi
 	else
-		# we need to install libs for llvm, then whole clang
-		# since libs-only omits clang dir
-		# and clang install-libs doesn't install headers and stuff
-		# (we build it anyway, so install is not a problem)
-		emake "${mymakeopts[@]}" install-libs
-		use clang && emake -C tools/clang "${mymakeopts[@]}" install
-
 		# Preserve ABI-variant of llvm-config,
 		# then drop all the executables since LLVM doesn't like to
 		# clobber when installing.



1.4                  sys-devel/llvm/llvm-9999-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?r1=1.3&r2=1.4

Index: llvm-9999-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- llvm-9999-r1.ebuild	28 Jul 2013 15:59:24 -0000	1.3
+++ llvm-9999-r1.ebuild	30 Jul 2013 14:04:12 -0000	1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.3 2013/07/28 15:59:24 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.4 2013/07/30 14:04:12 mgorny Exp $
 
 EAPI=5
 
@@ -20,7 +20,8 @@
 IUSE="clang debug doc gold +libffi multitarget ocaml python
 	+static-analyzer test udis86 video_cards_radeon"
 
-DEPEND="dev-lang/perl
+DEPEND="app-admin/chrpath
+	dev-lang/perl
 	dev-python/sphinx
 	>=sys-devel/make-3.79
 	>=sys-devel/flex-2.5.4
@@ -129,19 +130,6 @@
 	epatch_user
 }
 
-llvm_add_ldpath() {
-	# Add LLVM built libraries to LD_LIBRARY_PATH.
-	# This way we don't have to hack RPATHs of executables.
-	local libpath
-	if use debug; then
-		libpath=${BUILD_DIR}/Debug+Asserts+Checks/lib
-	else
-		libpath=${BUILD_DIR}/Release/lib
-	fi
-
-	export LD_LIBRARY_PATH=${libpath}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
-}
-
 multilib_src_configure() {
 	local CONF_FLAGS="--enable-keep-symbols
 		--enable-shared
@@ -203,9 +191,6 @@
 		GENTOO_LIBDIR="$(get_libdir)"
 	)
 
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
-
 	# Tests need all the LLVM built.
 	if multilib_is_native_abi || use test; then
 		emake "${mymakeopts[@]}"
@@ -237,9 +222,6 @@
 }
 
 multilib_src_test() {
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
-
 	default
 
 	use clang && emake -C tools/clang test
@@ -264,24 +246,18 @@
 		GENTOO_LIBDIR="$(get_libdir)"
 	)
 
-	local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH}
-	llvm_add_ldpath
+	emake "${mymakeopts[@]}" install
 
-	if multilib_is_native_abi; then
-		emake "${mymakeopts[@]}" install
+	# Fix rpaths.
+	chrpath -r "${EPREFIX}"/usr/$(get_libdir)/llvm \
+		"${ED}"/usr/bin/* || die
 
+	if multilib_is_native_abi; then
 		# Move files back.
 		if path_exists -o "${ED}"/tmp/llvm-config.*; then
 			mv "${ED}"/tmp/llvm-config.* "${ED}"/usr/bin || die
 		fi
 	else
-		# we need to install libs for llvm, then whole clang
-		# since libs-only omits clang dir
-		# and clang install-libs doesn't install headers and stuff
-		# (we build it anyway, so install is not a problem)
-		emake "${mymakeopts[@]}" install-libs
-		use clang && emake -C tools/clang "${mymakeopts[@]}" install
-
 		# Preserve ABI-variant of llvm-config,
 		# then drop all the executables since LLVM doesn't like to
 		# clobber when installing.



1.121                sys-devel/llvm/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.121&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.121&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?r1=1.120&r2=1.121

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v
retrieving revision 1.120
retrieving revision 1.121
diff -u -r1.120 -r1.121
--- ChangeLog	28 Jul 2013 15:59:24 -0000	1.120
+++ ChangeLog	30 Jul 2013 14:04:12 -0000	1.121
@@ -1,6 +1,13 @@
 # ChangeLog for sys-devel/llvm
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.120 2013/07/28 15:59:24 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.121 2013/07/30 14:04:12 mgorny Exp $
+
+  30 Jul 2013; Michał Górny <mgorny@gentoo.org>
+  files/llvm-3.3-gentoo-install.patch, files/llvm-3.4-gentoo-install.patch,
+  llvm-3.3-r1.ebuild, llvm-9999-r1.ebuild:
+  Revert the RPATH changes and LD_LIBRARY_PATH hack as it resulted in system
+  clang using build tree libraries, bug #478348. Instead, alter the RPATH after
+  installing the libs. Fix installing libLTO and libprofile_rt.
 
   28 Jul 2013; Alexis Ballier <aballier@gentoo.org> llvm-3.3.ebuild,
   llvm-3.3-r1.ebuild, llvm-9999.ebuild, llvm-9999-r1.ebuild:





^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in sys-devel/llvm: llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
@ 2013-07-31  6:57 Michal Gorny (mgorny)
  0 siblings, 0 replies; 3+ messages in thread
From: Michal Gorny (mgorny) @ 2013-07-31  6:57 UTC (permalink / raw
  To: gentoo-commits

mgorny      13/07/31 06:57:18

  Modified:             llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
  Log:
  Add missing deps for USE=static-analyzer.
  
  (Portage version: 2.2.0_alpha191/cvs/Linux x86_64, signed Manifest commit with key 9627F456F9DA7643!)

Revision  Changes    Path
1.5                  sys-devel/llvm/llvm-3.3-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?r1=1.4&r2=1.5

Index: llvm-3.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- llvm-3.3-r1.ebuild	30 Jul 2013 23:10:46 -0000	1.4
+++ llvm-3.3-r1.ebuild	31 Jul 2013 06:57:18 -0000	1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.4 2013/07/30 23:10:46 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.5 2013/07/31 06:57:18 mgorny Exp $
 
 EAPI=5
 
@@ -41,7 +41,13 @@
 	${PYTHON_DEPS}"
 RDEPEND="dev-lang/perl
 	libffi? ( virtual/libffi[${MULTILIB_USEDEP}] )
-	clang? ( python? ( ${PYTHON_DEPS} ) )
+	clang? (
+		python? ( ${PYTHON_DEPS} )
+		static-analyzer? (
+			dev-lang/perl
+			${PYTHON_DEPS}
+		)
+	)
 	udis86? ( dev-libs/udis86[pic(+),${MULTILIB_USEDEP}] )
 	clang? ( !<=sys-devel/clang-3.3-r99
 		!>=sys-devel/clang-9999 )



1.6                  sys-devel/llvm/llvm-9999-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?r1=1.5&r2=1.6

Index: llvm-9999-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- llvm-9999-r1.ebuild	30 Jul 2013 23:10:46 -0000	1.5
+++ llvm-9999-r1.ebuild	31 Jul 2013 06:57:18 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.5 2013/07/30 23:10:46 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.6 2013/07/31 06:57:18 mgorny Exp $
 
 EAPI=5
 
@@ -39,7 +39,13 @@
 	${PYTHON_DEPS}"
 RDEPEND="dev-lang/perl
 	libffi? ( virtual/libffi[${MULTILIB_USEDEP}] )
-	clang? ( python? ( ${PYTHON_DEPS} ) )
+	clang? (
+		python? ( ${PYTHON_DEPS} )
+		static-analyzer? (
+			dev-lang/perl
+			${PYTHON_DEPS}
+		)
+	)
 	udis86? ( dev-libs/udis86[pic(+),${MULTILIB_USEDEP}] )
 	clang? ( !<=sys-devel/clang-9999-r99 )
 	abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r2



1.124                sys-devel/llvm/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.124&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.124&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?r1=1.123&r2=1.124

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v
retrieving revision 1.123
retrieving revision 1.124
diff -u -r1.123 -r1.124
--- ChangeLog	30 Jul 2013 23:12:27 -0000	1.123
+++ ChangeLog	31 Jul 2013 06:57:18 -0000	1.124
@@ -1,6 +1,10 @@
 # ChangeLog for sys-devel/llvm
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.123 2013/07/30 23:12:27 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.124 2013/07/31 06:57:18 mgorny Exp $
+
+  31 Jul 2013; Michał Górny <mgorny@gentoo.org> llvm-3.3-r1.ebuild,
+  llvm-9999-r1.ebuild:
+  Add missing deps for USE=static-analyzer.
 
   30 Jul 2013; Michał Górny <mgorny@gentoo.org>
   files/clang-3.3-gentoo-install.patch:





^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in sys-devel/llvm: llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
@ 2013-07-31  9:29 Michal Gorny (mgorny)
  0 siblings, 0 replies; 3+ messages in thread
From: Michal Gorny (mgorny) @ 2013-07-31  9:29 UTC (permalink / raw
  To: gentoo-commits

mgorny      13/07/31 09:29:45

  Modified:             llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog
  Log:
  Make build & install simpler. Since we're calling 'install' for non-native ABIs already, we should also do a full build.
  
  (Portage version: 2.2.0_alpha191/cvs/Linux x86_64, signed Manifest commit with key 9627F456F9DA7643!)

Revision  Changes    Path
1.6                  sys-devel/llvm/llvm-3.3-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild?r1=1.5&r2=1.6

Index: llvm-3.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- llvm-3.3-r1.ebuild	31 Jul 2013 06:57:18 -0000	1.5
+++ llvm-3.3-r1.ebuild	31 Jul 2013 09:29:45 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.5 2013/07/31 06:57:18 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.3-r1.ebuild,v 1.6 2013/07/31 09:29:45 mgorny Exp $
 
 EAPI=5
 
@@ -211,22 +211,7 @@
 }
 
 multilib_src_compile() {
-	local mymakeopts=(
-		VERBOSE=1
-		REQUIRES_RTTI=1
-		GENTOO_LIBDIR="$(get_libdir)"
-	)
-
-	# Tests need all the LLVM built.
-	if multilib_is_native_abi || use test; then
-		emake "${mymakeopts[@]}"
-	else
-		# we need to build libs for llvm, then whole clang,
-		# since libs-only omits clang dir
-		# and clang fails to sub-compile with libs-only.
-		emake "${mymakeopts[@]}" libs-only
-		use clang && emake -C tools/clang "${mymakeopts[@]}"
-	fi
+	emake VERBOSE=1 REQUIRES_RTTI=1 GENTOO_LIBDIR=$(get_libdir)
 
 	if multilib_is_native_abi && use doc; then
 		emake -C "${S}"/docs -f Makefile.sphinx man html
@@ -269,12 +254,7 @@
 }
 
 multilib_src_install() {
-	local mymakeopts=(
-		DESTDIR="${D}"
-		GENTOO_LIBDIR="$(get_libdir)"
-	)
-
-	emake "${mymakeopts[@]}" install
+	emake DESTDIR="${D}" GENTOO_LIBDIR=$(get_libdir) install
 
 	# Fix rpaths.
 	chrpath -r "${EPREFIX}"/usr/$(get_libdir)/llvm \



1.7                  sys-devel/llvm/llvm-9999-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild?r1=1.6&r2=1.7

Index: llvm-9999-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- llvm-9999-r1.ebuild	31 Jul 2013 06:57:18 -0000	1.6
+++ llvm-9999-r1.ebuild	31 Jul 2013 09:29:45 -0000	1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.6 2013/07/31 06:57:18 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-9999-r1.ebuild,v 1.7 2013/07/31 09:29:45 mgorny Exp $
 
 EAPI=5
 
@@ -191,22 +191,7 @@
 }
 
 multilib_src_compile() {
-	local mymakeopts=(
-		VERBOSE=1
-		REQUIRES_RTTI=1
-		GENTOO_LIBDIR="$(get_libdir)"
-	)
-
-	# Tests need all the LLVM built.
-	if multilib_is_native_abi || use test; then
-		emake "${mymakeopts[@]}"
-	else
-		# we need to build libs for llvm, then whole clang,
-		# since libs-only omits clang dir
-		# and clang fails to sub-compile with libs-only.
-		emake "${mymakeopts[@]}" libs-only
-		use clang && emake -C tools/clang "${mymakeopts[@]}"
-	fi
+	emake VERBOSE=1 REQUIRES_RTTI=1 GENTOO_LIBDIR=$(get_libdir)
 
 	if multilib_is_native_abi; then
 		emake -C "${S}"/docs -f Makefile.sphinx man
@@ -247,12 +232,7 @@
 }
 
 multilib_src_install() {
-	local mymakeopts=(
-		DESTDIR="${D}"
-		GENTOO_LIBDIR="$(get_libdir)"
-	)
-
-	emake "${mymakeopts[@]}" install
+	emake DESTDIR="${D}" GENTOO_LIBDIR=$(get_libdir) install
 
 	# Fix rpaths.
 	chrpath -r "${EPREFIX}"/usr/$(get_libdir)/llvm \



1.125                sys-devel/llvm/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.125&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.125&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?r1=1.124&r2=1.125

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v
retrieving revision 1.124
retrieving revision 1.125
diff -u -r1.124 -r1.125
--- ChangeLog	31 Jul 2013 06:57:18 -0000	1.124
+++ ChangeLog	31 Jul 2013 09:29:45 -0000	1.125
@@ -1,6 +1,11 @@
 # ChangeLog for sys-devel/llvm
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.124 2013/07/31 06:57:18 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.125 2013/07/31 09:29:45 mgorny Exp $
+
+  31 Jul 2013; Michał Górny <mgorny@gentoo.org> llvm-3.3-r1.ebuild,
+  llvm-9999-r1.ebuild:
+  Make build & install simpler. Since we're calling 'install' for non-native
+  ABIs already, we should also do a full build.
 
   31 Jul 2013; Michał Górny <mgorny@gentoo.org> llvm-3.3-r1.ebuild,
   llvm-9999-r1.ebuild:





^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2013-07-31  9:30 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-07-31  6:57 [gentoo-commits] gentoo-x86 commit in sys-devel/llvm: llvm-3.3-r1.ebuild llvm-9999-r1.ebuild ChangeLog Michal Gorny (mgorny)
  -- strict thread matches above, loose matches on Subject: below --
2013-07-31  9:29 Michal Gorny (mgorny)
2013-07-30 14:04 Michal Gorny (mgorny)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox